NAME

CPAN::Meta::Prereqs::Filter - Filtering various things out of CPAN::Meta::Prereqs

VERSION

version 0.004

SYNOPSIS

 use CPAN::Meta::Prereqs::Filter 'filter_prereqs';
 $prereqs = filter_prereqs($prereqs, sanitize => 1, only_missing => 1, omit_core => 5.008003);

DESCRIPTION

This module provides various filters for CPAN::Meta::Prereqs objects.

FUNCTIONS

filter_prereqs($prereqs, %opts)

This function filters various things entries from the $prereqs, and returns it in a new Prereqs object. Allowed options are:

sanitize

If true, any double-declared entries are removed. For example, runtime dependencies will be removed from testing dependencies, because runtime dependencies should already be installed during testing. The exact algorithm may change in future versions.

omit_core

This takes a perl version, and will remove all requirements that are provided by that version of perl. It can take the version argument as a number (5.008008), a string starting with a v ('v5.8.8'), a v-string or the special string 'latest' which will substitute the highest known version in Module::CoreList (this is not necessarily the latest released version of perl, you may want to upgrade your Module::CoreList for more up-to-date data).

only_missing

This will filter out requirements that are met on the current system (as determined using Module::Metadata).

AUTHOR

Leon Timmermans <leont@cpan.org>

COPYRIGHT AND LICENSE

This software is copyright (c) 2015 by Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.